Overview Servers and Relays DHCP Config BOOTP Config Net Config DHCP Services Hops Verbose Log Trans Detect Addr Reload Update DNS Timeout DNS Cache BOOTP Interfaces BOOTP Services Addresses Macros Options How To.. Menus Index |  |  | # Modifying Service Options on a DHCP Server After the initial configuration, choose Modify in the Service menu to customize additional settings for the DHCP server. Changes you make here become the default settings used by the server in this session and each subsequent session. Use the Modify Service Options dialog box to configure the following options.
Maximum Relay Agent Hops | Specify the maximum number of relay hops that can occur before the DHCP server drops the request. The default is 4.
Verbose Log Messages | The DHCP daemon writes messages to the `syslogd` facility. In verbose mode, the DHCP daemon displays more messages than in non-verbose mode. This can reduce efficiency due to the time taken to write and display the messages. The default is for non-verbose mode.
Log Transactions to syslog Facility | Select whether to have the DHCP daemon log transactions using `syslogd`, and select an integer from 0 through 7 to specify the local syslog facility. The local syslog facility can be used to selectively view transaction messages generated by the DHCP daemon. Transactions include all DHCP messages between the daemon and clients. This feature may be useful in troubleshooting problems with DHCP.
Detect Duplicate IP Addresses | By default, the DHCP server pings an IP address before offering it to a DHCP or BOOTP client to verify that the address is not in use by another client. Uncheck the box to disable this action. (Disabling this feature is not recommended.)
Reload `dhcptab` | Specify the interval, in minutes, that the DHCP server should use to schedule the rereading of the `dhcptab` information. The DHCP server reads the `dhcptab` at startup and not again until told to do so. Typically, the DHCP Manager causes the server to reread the `dhcptab` whenever you make a change to the data. The default is to turn off this option to avoid needless re-initialization of the `dhcptab`.
Update DNS host information | Select this option if this DHCP server supports clients that can specify their host names, and you want to have those host names added to the DNS tables. The DNS server must be set up to accept update requests from the DHCP server. See the Solaris DHCP Administration Guide for more information.
Timeout DNS update | Specify the number of seconds to wait for a response from the DNS server before timing out. The default is 15 seconds. This option is available only if you selected Update DNS host information.
Cache Offers | Specify the number of seconds the server will hold open the offer to a client request for configuration. The default is 10 seconds. You can increase this time to compensate for slow performance on a slow network.
BOOTP Compatibility | Select whether to allow the DHCP server to operate in BOOTP compatibility mode. In this mode, the DHCP server will respond to requests for configuration from BOOTP clients.
None | Do not support BOOTP clients.
Automatic | Automatically allocate permanent IP addresses to any requesting BOOTP clients.
Manual | Respond only to clients that have been assigned a reserved address in the server's network tables.
Interfaces | Click the Interfaces tab to choose which network interfaces the DHCP server will monitor. The interfaces are listed by device name and network IP address. Use the arrow keys to remove or restore a network interface to the list of monitored interfaces. The default is to allow the server to monitor all network interfaces.
return to top